Summary:	Programs that test various rt-features
Name:		rt-tests
Version:	1.0
Release:	%mkrel 1
License:	GPLv2
Group:		Development/Other
URL:		https://wiki.linuxfoundation.org/realtime/documentation/howto/tools/rt-tests
Source0:	%{name}-%{version}.tar.xz
Patch0:		rt-tests-1.0-git-python3.patch
ExcludeArch:	%{arm}
BuildRequires:	python3
BuildRequires:	numa-devel

%description
A set of programs that test and measure various components of "realtime"
kernel behavior, such as timer latency, signal latency and the functioning
of priority-inheritance mutexes.

%prep
%autosetup -p1
sed -i 's|/usr/bin/python|%{__python3}|' src/hwlatdetect/hwlatdetect.py

%build
%set_build_flags
%make_build CC=gcc

%install
%make_install prefix=%{_prefix}

%files
%doc README.markdown
%license COPYING
%{_bindir}/cyclictest
%{_bindir}/hackbench
%{_bindir}/pip_stress
%{_bindir}/pi_stress
%{_bindir}/pmqtest
%{_bindir}/ptsematest
%{_bindir}/rt-migrate-test
%{_bindir}/sendme
%{_bindir}/signaltest
%{_bindir}/hwlatdetect
%{_bindir}/sigwaittest
%{_bindir}/svsematest
%{_mandir}/man4/*.4.*
%{_mandir}/man8/*.8.*
%{python3_sitelib}/hwlatdetect.py*
%{python3_sitelib}/__pycache__/hwlatdetect*
%{_usrsrc}/backfire/Makefile
%{_usrsrc}/backfire/backfire.c


%changelog
* Thu Apr 30 2020 danf <danf> 1.0-1.mga8
+ Revision: 1577232
- Update to stable ver. 1.0
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.84-10.mga7
+ Revision: 1300868
- Mageia 7 Mass Rebuild

* Sat Aug 27 2016 daviddavid <daviddavid> 0.84-9.mga6
+ Revision: 1049183
- exclude arm build as numactl is not provided on arm

* Wed Feb 03 2016 umeabot <umeabot> 0.84-8.mga6
+ Revision: 933397
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.84-7.mga5
+ Revision: 740458
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.84-6.mga5
+ Revision: 688731
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.84-4.mga4
+ Revision: 545967
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 0.84-3.mga4
+ Revision: 502063
- include pyc and pyo files in files list

* Mon Jan 14 2013 umeabot <umeabot> 0.84-2.mga3
+ Revision: 380555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 dams <dams> 0.84-1.mga3
+ Revision: 311395
- new version 0.84
- clean specfile

* Sat Jun 09 2012 trem <trem> 0.83-1.mga3
+ Revision: 258800
- update to 0.83

* Thu Aug 18 2011 trem <trem> 0.74-1.mga2
+ Revision: 134349
- update to 0.74
- update to 0.73
- fix rpm group
- imported package rt-tests

